<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="install.dot.net" version="1.0" date="2008-10-28" maxthreads="1">

  <!--
	Change log:
      2008-10-28/MMA  Added tasks for registering ComDlg32.ocx
      2008-10-28/MMA  Moved copy of nativInfoDialog.dll and nativeLoginDialog.dll from diagnosticsinstall.bat to here
                      the diagnosticsinstall.bat does not seem to be able to copy stuff to %SystemRootDir%\System32
      2011-03-01/teriks28 QC9632 Removed param x64 in call to "trusted.sites", the param is not needed after we changed platform property to x86 
                          on the project file "vida.install.utilities.csproj"
			2011-10-24/teriks28: QC 10667 removed task diag.install	and dependencies to that task
		2013-10-17 : teriks28 : WAS8 project
						Removed task "copy.components" since "jRegistryKey.dll" is not in use any more
  -->
  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <parameters>
    <parameter name="request.x64" value="input#"/>
  </parameters>

	<tasks>
    <task name="remove.ie.config.file" critical="false" typename="@DeleteFile">
      <description>
        This configuration file was used by earlier Vida installation but now it's not neccessary anymore. In fact
        Vida will not work if the file exists.
      </description>
      <parameters>
        <parameter name="filename" value="${windows.internetexplorer.path}\${ie.config.filename}"/>
      </parameters>
    </task>

    <task name="trusted.sites" assembly="${a1}" typename="vida.install.utilities.VidaSecurity">
      <dependencies list=""/>
      <parameters>
				<parameter name="caspol.fullpath" value="${install.src.caspol.fullpath}"/>
      </parameters>
    </task>

    <task name="caspol.clear" typename="@CommandLine">
      <description>
        Resets all security settings to default, don't know if this is so smart in release version. 
        Could crash other applications installed on the machine.
      </description>
      <dependencies list="trusted.sites"/>
      <parameters>
        <parameter name="filename" value="${install.src.caspol.fullpath}"/>
        <parameter name="arguments" value="-polchgprompt off -all -reset"/>
      </parameters>
    </task>

    <task name="set.security.localhost" typename="@CommandLine">
      <description>
        Adds the "localhost" to machine so all SWDL and DIAG DLL's could be loaded in IE 
        without security exception.
      </description>
      <dependencies list="trusted.sites,caspol.clear"/>
      <parameters>
        <parameter name="filename" value="${install.src.caspol.fullpath}"/>
        <parameter name="arguments" value="-pp off -m -ag &quot;All_Code&quot; -url &quot;http://localhost/*&quot; FullTrust -name VidaAIOC -description &quot;Vida Diagnostics and SWDL security settings&quot;"/>
      </parameters>
    </task>

    <task name="set.security.localhost.2" typename="@CommandLine">
			<description></description>
      <dependencies list="set.security.localhost"/>
      <parameters>
        <parameter name="filename" value="${install.src.caspol.fullpath}"/>
        <parameter name="arguments" value="-polchgprompt off -machine -addgroup &quot;Trusted_Zone&quot; -zone &quot;Trusted&quot; FullTrust"/>
      </parameters>
    </task>
	</tasks>
	
</taskrunner>
